Rerun a task

/tasks/{task_id}/actions/clone

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call reruns the specified task. Once rerun, the task can either be in draft mode or immediately ran, using the action query parameter (see below).

Request

https://cgc-api.sbgenomics.com/v2/tasks/{task_id}/actions/clone

Example request

POST /v2/tasks/08c5da64-1329-ba3e-b014-62a1617bc7db/actions/clone" HTTP/1.1
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
curl  -s -H "X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74" -H "content-type: application/json" -X POST "https://cgc-api.sbgenomics.com/v2/tasks/08c5da64-1329-ba3e-b014-62a1617bc7db6/actions/run"

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your CGC authentication token.

Path parameters

NameDescription
task_idThe ID of the task you are rerunning on.

Query parameters

NameData typeDescription
actionstringSet this to Run in order to create a draft task and execute it immediately.

Response

See a list of CGC-specific response codes that may be contained in the body of the response.

Example response body

{
    "href": "https://cgc-api.sbgenomics.com/v2/tasks/93cd6004-1234-5678-a86d-64cef2b4f2e8",
    "id": "93cd6004-1234-5678-a86d-64cef2b4f2e8",
    "name": "VarsScan2 WF from BAM test",
    "status": "DRAFT",
    "project": "rfranklin/rfranklin-s-demo-project",
    "app": "rfranklin/rfranklin-s-demo-project/varscan2-workflow-from-bam-v2-3-9/0",
    "type": "v2",
    "created_by": "rfranklin",
    "start_time": "2018-07-03T14:24:10Z",
    "batch": false,
    "use_interruptible_instances": false,
    "errors": [],
    "warnings": [],
    "inputs": {
        "input_fasta_file": {
            "path": "2e945852f890e8dfeb11ab2b",
            "class": "File"
        },
        "Normal_BAM": {
            "path": "52e94582f890e8dfeb11aaf7",
            "class": "File"
        },
        "Tumor_BAM": {
            "path": "2e94582f890e8df3eb24aae1",
            "class": "File"
        }
    },
    "outputs": {
        "High_Confidence_INDELs": {},
        "empty_contigs": {},
        "High_Confidence_SNPs": {}
    },
    "created_time": "2018-07-03T14:24:10Z"
}
Language
LoadingLoading…